#!/usr/bin/make

# nonintel.mak Version 0.1.0 - Compile Fischer Random Shuffle
# Library for non-Intel platform
# Copyright (C) 2004  dondalah@ripco.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to:

# 	Free Software Foundation, Inc.
# 	59 Temple Place - Suite 330
# 	Boston, MA  02111-1307, USA.

# Makefile for non-Intel platforms:
# Source file rnd2.c    is used instead of rnd.s
# Source file rndpwr2.c is used instead of rndpwr.s
# Source file rndnum2.c is used instead of rndnum.s

# To compile for a non-Intel platform, run
#	make -f nonintel.mak

# To uninstall frshuf, run
#	deinst

# Contents of libfrshuf.a

OBJ=shflinit.o \
	shflcomb.o \
	shuffle.o \
	rnd.o \
	rndinit.o \
	rndpwr.o \
	rndnum.o \
	getmd5.o \
	md5c.o

CC=gcc

CFLAGS=-c -Wall -O6 -I.

LDFLAGS=-L. -lfrshuf -lm

all:		libfrshuf.a tst frsfen

frsfen:			libfrshuf.a frsfen.o
	$(CC) -Wall -O6 frsfen.o -o frsfen $(LDFLAGS)

tst:			libfrshuf.a tst.o
	$(CC) -Wall -O6 tst.o -o tst $(LDFLAGS)

libfrshuf.a:		$(OBJ)
	rm -f libfrshuf.a
	ar  r libfrshuf.a $(OBJ)

frsfen.o:		frsfen.c
	$(CC) $(CFLAGS) frsfen.c

tst.o:			tst.c
	$(CC) $(CFLAGS) tst.c

shflinit.o:		shflinit.c
	$(CC) $(CFLAGS) shflinit.c

shflcomb.o:		shflcomb.c
	$(CC) $(CFLAGS) shflcomb.c

shuffle.o:		shuffle.c
	$(CC) $(CFLAGS) shuffle.c

rnd.o:			rnd2.c
	$(CC) $(CFLAGS) rnd2.c -o rnd.o

rndinit.o:		rndinit.c
	$(CC) $(CFLAGS) rndinit.c

rndpwr.o:		rndpwr2.c
	$(CC) $(CFLAGS) rndpwr2.c -o rndpwr.o

rndnum.o:		rndnum2.c
	$(CC) $(CFLAGS) rndnum2.c -o rndnum.o

getmd5.o:		getmd5.c
	$(CC) $(CFLAGS) getmd5.c

md5c.o:			md5c.c
	$(CC) $(CFLAGS) md5c.c

clean:	
	rm -f $(OBJ) libfrshuf.a tst.o tst
	rm -f frsfen.o frsfen
